# Class HelpLinkComponent

#### Hierarchy

- Component<HelpLinkInterface>
  - HelpLinkComponent

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/Components/HelpLinkComponent.tsx:11

#####
Index

### Constructors

constructor

### Methods

render

## Constructors

### constructor

- new HelpLinkComponent(props): HelpLinkComponent

- #### Parameters

  - ##### props: HelpLinkInterface | Readonly<HelpLinkInterface>

  #### Returns HelpLinkComponent

  Inherited from React.Component<HelpLinkInterface>.constructor

  - Defined in node_modules/@types/react/index.d.ts:519
- new HelpLinkComponent(props, context): HelpLinkComponent

- #### Parameters

  - ##### props: HelpLinkInterface

  - ##### context: any

  #### Returns HelpLinkComponent

  #### Deprecated

  #### See

  https://legacy.reactjs.org/docs/legacy-context.html

  Inherited from React.Component<HelpLinkInterface>.constructor

  - Defined in node_modules/@types/react/index.d.ts:524

## Methods

### render

- render(): Element

- #### Returns Element

  Overrides React.Component.render

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/Components/HelpLinkComponent.tsx:12

Generated using TypeDoc